GET /x/accounts/{id}/search
Recent search (last 7 days) as the account, X search syntax. Every post returned is billed by X as a post read
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringX account id
query*stringX search query
Length
length <= 512limit?integerMax posts
Range
10 <= value <= 100Default
25cursor?stringnextCursor of the previous page
sortOrder?stringOrder
Value in
"recency""relevancy"{accountId, query, posts, nextCursor}
application/json- response
accountId?stringquery?stringposts?array<>nextCursor?string|nullcurl -X GET 'https://example.com/api/v1/x/accounts/string/search?query=string'Example Response
{ "accountId": "string", "query": "string", "posts": [ { "id": "string", "text": "string", "username": "string", "authorId": "string", "timestamp": "2019-08-24T14:15:22Z", "parentId": "string", "conversationId": "string", "url": "string", "metrics": { "impressions": 0, "likes": 0, "replies": 0, "reposts": 0, "quotes": 0, "bookmarks": 0 }, "platform": "x" } ], "nextCursor": "string"}